Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class TerminalPrincipalFacility

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Terminal
                  |
                  +--com.ibm.cics.server.TerminalPrincipalFacility

public class TerminalPrincipalFacility
extends Terminal
implements TerminalSendBits

This class represents the Java interface to the Terminal that is attached as the principal facility of the current Task.

Method Summary
`void` | `clear()` Clear the screen of the terminal.
`void` | `converse(DataHolder data)` Not Implemented.
`void` | `converseASIS(DataHolder data)` Not Implemented.
`void` | `erase()` Clear the screen of the terminal.
`void` | `getTCTUA(TCTUAHolder holder)` Get a copy of the TCTUA.
`byte[]` | `getTERMCODE()` Not Implemented.
`void` | `receive(DataHolder data)` Receive some data from the terminal.
`void` | `receiveASIS(DataHolder data)` Receive some data from the terminal.
`void` | `receiveBuffer(DataHolder data)` Receive some data from the terminal.
`void` | `receiveBufferASIS(DataHolder data)` Receive some data from the terminal.
`void` | `send(byte[] datastream)` Send a 3270 datastream to the terminal.
`void` | `send(byte[] datastream, java.util.BitSet bs)` Send a 3270 datastream to the terminal, along with some control information.
`void` | `sendControl(java.util.BitSet bs)` Send a set of controls to a terminal.
`void` | `sendControl(Cursor cursor)` Set the cursor position on the terminal.
`void` | `sendControl(Cursor cursor, java.util.BitSet bs)` Send a set of controls to a terminal as well as setting the cursor position.
`void` | `sendText(byte[] text)` Send text to the terminal.
`void` | `sendText(byte[] text, java.util.BitSet bs)` Send text to the terminal, specifying some control actions to perform.
`void` | `sendText(byte[] text, Cursor cursor)` Send text to the terminal, specifying the final cursor position.
`void` | `sendText(byte[] text, Cursor cursor, java.util.BitSet bs)` Send text to the terminal, specifying the final cursor position, and some control actions to perform.
`void` | `setNextCOMMAREA(byte[] nextCOMMAREA)` Set the COMMAREA for the next transaction on this terminal.
`void` | `setNextTransaction(java.lang.String nextTransaction)` Set the next transaction to be executed on this terminal.
`void` | `setTCTUA(byte[] data)` Set the TCTUA bytes.
`void` | `waitTerminal()` Not Implemented.

Methods inherited from class com.ibm.cics.server.Terminal
`getCursor, getName, getUser`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clear

    public void clear()
               throws InvalidRequestException

  Clear the screen of the terminal. The function of this method is the same as that of erase().
  See Also:
    `erase()`

### erase

    public void erase()
               throws InvalidRequestException

  Clear the screen of the terminal. The function of this method is the same as that of clear().
  See Also:
    `clear()`

### sendControl

    public void sendControl(Cursor cursor)
                     throws InvalidRequestException

  Set the cursor position on the terminal.
  Parameters:
    `cursor` - The cursor position.

### sendControl

    public void sendControl(java.util.BitSet bs)
                     throws InvalidRequestException

  Send a set of controls to a terminal.
  Parameters:
    `bs` - A BitSet that contain the bits indicating which control actions are to be performed.

### sendControl

    public void sendControl(Cursor cursor,
                            java.util.BitSet bs)
                     throws InvalidRequestException

  Send a set of controls to a terminal as well as setting the cursor position.
  Parameters:
    `cursor` - The cursor position.
    `bs` - A BitSet that contain the bits indicating which control actions are to be performed.

### send

    public void send(byte[] datastream)
              throws InvalidRequestException,
                     LengthErrorException,
                     NotAllocatedException,
                     TerminalException

  Send a 3270 datastream to the terminal.
  Parameters:
    `datastream` - The datastream to be sent.

### send

    public void send(byte[] datastream,
                     java.util.BitSet bs)
              throws InvalidRequestException,
                     LengthErrorException,
                     NotAllocatedException,
                     TerminalException

  Send a 3270 datastream to the terminal, along with some control information.
  Parameters:
    `datastream` - The datastream to be sent.
    `bs` - A BitSet that contain the bits indicating which control actions are to be performed.

### sendText

    public void sendText(byte[] text)
                  throws InvalidRequestException,
                         LengthErrorException

  Send text to the terminal.
  Parameters:
    `text` - The text to be sent.

### sendText

    public void sendText(byte[] text,
                         Cursor cursor)
                  throws InvalidRequestException,
                         LengthErrorException

  Send text to the terminal, specifying the final cursor position.
  Parameters:
    `text` - The text to be sent.
    `cursor` - The final cursor position.

### sendText

    public void sendText(byte[] text,
                         Cursor cursor,
                         java.util.BitSet bs)
                  throws InvalidRequestException,
                         LengthErrorException

  Send text to the terminal, specifying the final cursor position, and some control actions to perform.

  Note: The FORMFEED and NLEOM bits are not supported in TRANS and are therefore ignored.

  Parameters:
    `text` - The text to be sent.
    `cursor` - The final cursor position.
    `bs` - A BitSet that contain the bits indicating which control actions are to be performed.

### sendText

    public void sendText(byte[] text,
                         java.util.BitSet bs)
                  throws InvalidRequestException,
                         LengthErrorException

  Send text to the terminal, specifying some control actions to perform.

  Note: The FORMFEED and NLEOM bits are not supported in TRANS and are therefore ignored.

  Parameters:
    `text` - The text to be sent.
    `bs` - A BitSet that contain the bits indicating which control actions are to be performed.

### converse

    public void converse(DataHolder data)
                  throws EndOfChainIndicatorException,
                         InvalidRequestException,
                         LengthErrorException,
                         NotAllocatedException,
                         TerminalException

  This method is not implemented in this release.

### converseASIS

    public void converseASIS(DataHolder data)
                      throws EndOfChainIndicatorException,
                             InvalidRequestException,
                             LengthErrorException,
                             NotAllocatedException,
                             TerminalException

  This method is not implemented in this release.

### getTCTUA

    public void getTCTUA(TCTUAHolder holder)

  Get a copy of the TCTUA.

  A copy of the contents of the TCTUA placed into the supplied holder. Modifications to this copy will not affect the actual TCTUA. The { @link #setTCTUA(byte[]) setTCTUA } method should be used to set the value of the TCTUA.

  If the length of the TCTUA is zero then a zero length array is placed into the `TCTUAHolder`.

  Throws:
    java.lang.NullPointerException - if the supplied holder is null.

### getTERMCODE

    public byte[] getTERMCODE()

  This method is not implemented in this release.

### setNextCOMMAREA

    public void setNextCOMMAREA(byte[] nextCOMMAREA)

  Set the COMMAREA for the next transaction on this terminal.
  Parameters:
    `nextCOMMAREA` - The commarea.

### setNextTransaction

    public void setNextTransaction(java.lang.String nextTransaction)

  Set the next transaction to be executed on this terminal.
  Parameters:
    `nextTransaction` - The transID of the text transaction.
  Throws:
    java.lang.NullPointerException - if the provided transaction name is null.
    java.lang.IllegalArgumentException - if the provided transaction name is greated than 4 characters in length.

### setTCTUA

    public void setTCTUA(byte[] data)
                  throws InvalidRequestException

  Set the TCTUA bytes.
  Parameters:
    `data` - The data to put into the TCTUA.
  Throws:
    java.lang.NullPointerException - if the supplied data is null.
    InvalidRequestException - if the supplied data is not the same length as the TCTUA.

### waitTerminal

    public void waitTerminal()

  This method is not implemented in this release.

### receive

    public void receive(DataHolder data)
                 throws EndOfChainIndicatorException,
                        InvalidRequestException,
                        LengthErrorException,
                        NotAllocatedException,
                        TerminalException

  Receive some data from the terminal.

  The dataholder supplied has its value set to be a new byte array containing the data. Thus, the caller does not have to supply a value.

       ...
       DataHolder dh = new DataHolder();
       tpf.receive( dh );
       ...

  The returned data is converted to uppercase if the terminal is defined as such.

  Parameters:
    `data` - A holder for the returned data.

### receiveASIS

    public void receiveASIS(DataHolder data)
                     throws EndOfChainIndicatorException,
                            InvalidRequestException,
                            LengthErrorException,
                            NotAllocatedException,
                            TerminalException

  Receive some data from the terminal.

  The dataholder supplied has its value set to be a new byte array containing the data. Thus, the caller does not have to supply a value.

       ...
       DataHolder dh = new DataHolder();
       tpf.receive( dh );
       ...

  The returned data is not converted to uppercase.

  Parameters:
    `data` - A holder for the returned data.

### receiveBuffer

    public void receiveBuffer(DataHolder data)
                       throws EndOfChainIndicatorException,
                              InvalidRequestException,
                              LengthErrorException,
                              NotAllocatedException,
                              TerminalException

  Receive some data from the terminal.

  This method returns data that is currently displayed on the terminal. It does not require an AID key to have been pressed.

  The dataholder supplied has its value set to be a new byte array containing the data. Thus, the caller does not have to supply a value.

       ...
       DataHolder dh = new DataHolder();
       tpf.receiveBuffer( dh );
       ...

  The returned data is converted to uppercase if the terminal is defined as such.

  Parameters:
    `data` - A holder for the returned data.

### receiveBufferASIS

    public void receiveBufferASIS(DataHolder data)
                           throws EndOfChainIndicatorException,
                                  InvalidRequestException,
                                  LengthErrorException,
                                  NotAllocatedException,
                                  TerminalException

  Receive some data from the terminal.

  This method returns data that is currently displayed on the terminal. It does not require an AID key to have been pressed.

  The dataholder supplied has its value set to be a new byte array containing the data. Thus, the caller does not have to supply a value.

       ...
       DataHolder dh = new DataHolder();
       tpf.receiveBufferASIS( dh );
       ...

  The returned data is not converted to uppercase.

  Parameters:
    `data` - A holder for the returned data.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.